## kde-cli-tools 5.5.5

=== CMakeLists.txt ===
project(KDE-CLI-Tools)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.16.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(CheckIncludeFiles)
include(ECMOptionalAddSubdirectory)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Svg
    DBus
)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    DocTools
    IconThemes
    Init
    I18n
    KCMUtils
    KIO
    WindowSystem
    OPTIONAL_COMPONENTS
    KDELibs4Support
    Su
    QUIET
)

# Disables automatic conversions from QString (or char *) to QUrl.
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(X11)
find_package(XCB COMPONENTS XCB)
if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
  find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(doc)

add_subdirectory(kcmshell)
add_subdirectory(keditfiletype)
add_subdirectory(kmimetypefinder)
add_subdirectory(ktraderclient)
add_subdirectory(kioclient)
add_subdirectory(ksvgtopng)

if(Qt5X11Extras_FOUND AND KF5KDELibs4Support_FOUND)
    add_subdirectory(kstart)
endif()


if(KF5Su_FOUND)
    add_subdirectory(kdesu)
endif()

if(UNIX)
    add_subdirectory(kdeeject)
endif()

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(ca)

=== kdeeject/CMakeLists.txt ===
install(PROGRAMS kdeeject DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

=== kmimetypefinder/CMakeLists.txt ===
add_executable(kmimetypefinder5 kmimetypefinder.cpp)
target_compile_definitions(kmimetypefinder5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(kmimetypefinder5)

target_link_libraries(kmimetypefinder5
   KF5::CoreAddons # KAboutData
   KF5::I18n       # i18n
   Qt5::Core
)

install(TARGETS kmimetypefinder5 ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== doc/en/CMakeLists.txt ===
if(UNIX)
    ecm_optional_add_subdirectory(kdesu)
endif()

## kde-cli-tools 5.2.2

=== debian/changelog ===
kde-cli-tools (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:11:35 -0700

kde-cli-tools (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:36:26 -0800

kde-cli-tools (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:50:05 +0100

kde-cli-tools (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:21:07 +0100

kde-cli-tools (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:06:06 +0100

kde-cli-tools (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:40:44 +0100

kde-cli-tools (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Lintian cleanup
    + Override manpage warnings as we do not generally provide manpages
    + Override everything to do with kdeinit libraries, kdeinit is a
      startup helper that is specific to the kinit framework. Kdeinit libs
      are neither fully qualified libraries nor are they supposed to be.

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:47:15 +0200

kde-cli-tools (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release
  * Remove no-human-maintainers lintian-override per ScottK. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:12:54 -0700

kde-cli-tools (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:40:48 +0200

kde-cli-tools (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:18:04 +0200

kde-cli-tools (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Fix copyright file 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:20:08 +0100

=== debian/control ===
Source: kde-cli-tools
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5config-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5su-dev (>= 5.2.0),
               libkf5windowsystem-dev (>= 5.2.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               xvfb
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kde-cli-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-cli-tools.git

Package: kde-cli-tools
Section: utils
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: kde-cli-tools-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: kde-cli-tools (= ${binary:Version}), ${misc:Depends}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-cli-tools-dbg

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kde-cli-tools-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kde-cli-tools-(.*)\.tar\.xz

## kde-cli-tools 5.4.2

=== debian/changelog ===
kde-cli-tools (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:51:45 +0100

kde-cli-tools (4:5.4.1-0ubuntu2) wily; urgency=medium

  * Depend on kio as kde-open5 uses the kioexec binary

 -- Harald Sitter <sitter@kde.org>  Tue, 08 Sep 2015 15:23:55 +0200

kde-cli-tools (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:12:23 +0100

kde-cli-tools (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:47:32 +0100

kde-cli-tools (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:12:08 +0200

kde-cli-tools (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:26:12 +0000

kde-cli-tools (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:25:47 +0200

kde-cli-tools (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 12:00:43 +0200

kde-cli-tools (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:18:02 +0100

kde-cli-tools (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 08 Feb 2015 20:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: kde-cli-tools
-Priority: extra
+Section: utils
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
+               kinit-dev,
                libkf5config-dev (>= 5.2.0),
                libkf5i18n-dev (>= 5.2.0),
                libkf5iconthemes-dev (>= 5.2.0),
@@ -11,20 +14,19 @@
                libkf5kdelibs4support-dev (>= 5.2.0),
                libkf5su-dev (>= 5.2.0),
                libkf5windowsystem-dev (>= 5.2.0),
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt5svg5-dev (>= 5.4.0~),
+               libqt5x11extras5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               xvfb
-Standards-Version: 3.9.5
-Section: libs
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kde-cli-tools.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-cli-tools.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-cli-tools.git
 
 Package: kde-cli-tools
-Section: utils
 Architecture: any
 Depends: kde-cli-tools-data (= ${source:Version}),
+         kio,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: tools to use KDE services from the command line
@@ -35,7 +37,6 @@
  This package is part of the KDE Plasma.
 
 Package: kde-cli-tools-data
-Section: libs
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tools to use kioslaves from the command line
@@ -49,9 +50,10 @@
 
 Package: kde-cli-tools-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Depends: kde-cli-tools (= ${binary:Version}), ${misc:Depends}
 Recommends: qtbase5-dbg
-Depends: kde-cli-tools (= ${binary:Version}), ${misc:Depends}
 Description: tools to use kioslaves from the command line
  These command line tools enable you to use KDE services such as
  kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 	$(overridden_command) --dbg-package=kde-cli-tools-dbg
 
 override_dh_auto_test:
-	dh_installwm openbox\
-	xvfb-run -a dh_auto_test
+	- dh_auto_test

## kde-cli-tools 5.5.5

=== debian/changelog ===
kde-cli-tools (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:35:02 -0700

kde-cli-tools (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial
  * Bump kf5 version for build dependencies. 

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Merge unstable to get debian merge into archive. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:19:10 +0100

kde-cli-tools (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:27:58 +0100

kde-cli-tools (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:09 +0100

kde-cli-tools (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:28 +0200

kde-cli-tools (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).
  * New patch: disable_failing_tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:47 +0200

kde-cli-tools (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 13:50:20 +0200

kde-cli-tools (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #790866)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:59 +0200

kde-cli-tools (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 20:37:29 +0200

kde-cli-tools (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 09:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev,
-               libkf5config-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5su-dev (>= 5.2.0),
-               libkf5windowsystem-dev (>= 5.2.0),
+               extra-cmake-modules (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5su-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libqt5svg5-dev (>= 5.4.0~),
                libqt5x11extras5-dev (>= 5.4.0~),
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-config,
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
@@ -39,6 +40,8 @@
 Package: kde-cli-tools-data
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: tools to use kioslaves from the command line
  These command line tools enable you to use KDE services such as
  kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-cli-tools-dbg

override_dh_auto_test:
	# Ignore unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, dbus-x11,
         openbox, libkf5service-bin, kded5
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kde-cli-tools-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kde-cli-tools-([\d.]+)\.tar\.xz

## kde-cli-tools 5.7.5

=== debian/changelog ===
kde-cli-tools (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:25:33 -0500

kde-cli-tools (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:04:06 +0000

kde-cli-tools (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:43:08 +0100

kde-cli-tools (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding the lintian override
    - package-must-activate-ldconfig-trigger usr/lib/*/libkdeinit5_kcmshell5.so

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:14:19 -0700

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kinit-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5kcmutils-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
-               libkf5su-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
-               libqt5svg5-dev (>= 5.4.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5su-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kde-cli-tools.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kde-cli-tools.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
 
 Package: kde-cli-tools
 Architecture: any

## kde-cli-tools 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
@@ -12,8 +12,11 @@
 include(ECMMarkAsTest)
 include(ECMMarkNonGuiExecutable)
 include(FeatureSummary)
+include(CheckIncludeFile)
 include(CheckIncludeFiles)
+include(CheckSymbolExists)
 include(ECMOptionalAddSubdirectory)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets
@@ -58,7 +61,6 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -85,6 +87,18 @@
 endif()
 
 check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
+
+check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
+check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
+check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
+check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
+if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
+  set(CAN_DISABLE_PTRACE TRUE)
+endif()
+add_feature_info("prctl-dumpable"
+                 CAN_DISABLE_PTRACE
+                "Required for disallowing ptrace on kdesu process")
+
 configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kde-cli-tools (4:5.8.4-2) unstable; urgency=medium

  * Add libkf5su-bin hard dependency.
    Thanks to Martin Graesslin for reporting (Closes: 807402)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 28 Mar 2017 13:00:51 +0200

kde-cli-tools (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:34:49 +0100

kde-cli-tools (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:19:27 +0200

kde-cli-tools (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:54:57 +0200

kde-cli-tools (4:5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Harald Sitter ]
  * bdep on pkg-config as per upstream cmake checks

  [ Maximiliano Curia ]
  * New upstream release. (Closes: #839865)
    - Fixes CVE-2016-7787
      https://security-tracker.debian.org/tracker/CVE-2016-7787
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:02:03 +0200

kde-cli-tools (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:47:07 +0200

kde-cli-tools (4:5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:18:01 +0200

kde-cli-tools (4:5.6.5-1) unstable; urgency=medium

  * Add new libkdeinit5_kcmshell5.so lintian-override
  * Add swrast for the autotests
  * Update testsuite script
  * Add new patch: shared_mime_cant_be_removed.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 08:34:18 +0200

kde-cli-tools (4:5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * testsuite: Add XDG_DATA_DIRS environment variable
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:34:04 +0200

kde-cli-tools (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:18 +0100

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5doctools-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5kcmutils-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5kio-dev (>= 5.16.0~),
               libkf5su-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libqt5svg5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kde-cli-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kde-cli-tools.git

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         libkf5su-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
Breaks: kscreen (<< 4:5.8),
        plasma-desktop (<< 4:5.8),
        plasma-workspace (<< 4:5.8)

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, dbus (>= 1.8),
         openbox, libkf5service-bin, kinit, kded5, libgl1-mesa-dri
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## kde-cli-tools 5.9.4

=== debian/changelog ===
kde-cli-tools (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:56 +0000

kde-cli-tools (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:51 +0000

kde-cli-tools (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)
  * Skip testsuite with a pass rather than disable completely as in
    previous upload. Prevents this being flagged as a regression.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:05:01 +0000

kde-cli-tools (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:58 +0000

kde-cli-tools (4:5.9.0-0ubuntu2) zesty; urgency=medium

  * Disable the testsuite for now. It never worked without debian
    patching so disabling until we can get it working properly.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 07 Feb 2017 12:45:48 +0000

kde-cli-tools (4:5.9.0-0ubuntu1) zesty; urgency=medium

  * Install new executable kbroadcastnotification
  * New upstream release (5.9.0)
  * Update .install files for extra translation file

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:13 +0000

kde-cli-tools (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:45:04 +0000

kde-cli-tools (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Remove undesired debian Breaks after merge

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian
  * Remove empty kde-cli-tools-dbg package
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:29 +0000

## kde-cli-tools 5.9.5

=== debian/changelog ===
kde-cli-tools (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:12 +0100

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5su-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 5.10.5

=== debian/changelog ===
kde-cli-tools (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:48 +0100

kde-cli-tools (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:45 +0100

kde-cli-tools (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:19 +0100

kde-cli-tools (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:36 +0100

kde-cli-tools (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:23 +0100

kde-cli-tools (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * Update install files for changed file names in locales
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:38 +0100

kde-cli-tools (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5su-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5doctools-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5su-dev (>= 5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
                libqt5svg5-dev (>= 5.6.1~),
                libqt5x11extras5-dev (>= 5.6.1~),
                pkg-config,

## kde-cli-tools 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.12.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.16.0")
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -42,9 +42,10 @@
     I18n
     KCMUtils
     KIO
+    Service
     WindowSystem
+    Activities
     OPTIONAL_COMPONENTS
-    KDELibs4Support
     Su
     QUIET
 )
@@ -73,7 +74,7 @@
 add_subdirectory(kioclient)
 add_subdirectory(ksvgtopng)
 
-if(Qt5X11Extras_FOUND AND KF5KDELibs4Support_FOUND)
+if(Qt5X11Extras_FOUND)
     add_subdirectory(kstart)
 endif()
 
@@ -84,6 +85,7 @@
 
 if(UNIX)
     add_subdirectory(kdeeject)
+    add_subdirectory(kbroadcastnotification)
 endif()
 
 check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
@@ -105,3 +107,8 @@
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== kioclient/CMakeLists.txt ===

if (NOT TARGET KF5::KIOWidgets)
   set(KIOCORE_ONLY ON)
   add_definitions(-DKIOCORE_ONLY=1)
   set(kio_libs KF5::KIOCore)
else ()
   set(kio_libs KF5::KIOWidgets)
endif ()

function(add_kioclient_interface TARGET_NAME)
    add_executable(${TARGET_NAME} kioclient.cpp)
    string(TOUPPER "${TARGET_NAME}" UPPER_TARGET_NAME)
    target_compile_definitions(${TARGET_NAME} PRIVATE "-DKIOCLIENT_AS_${UPPER_TARGET_NAME}")
    target_compile_definitions(${TARGET_NAME} PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
    target_link_libraries(${TARGET_NAME} Qt5::DBus Qt5::Widgets KF5::CoreAddons ${kio_libs} KF5::I18n)
    install(TARGETS ${TARGET_NAME} ${INSTALL_TARGETS_DEFAULT_ARGS})
endfunction()

#we compile every file with different definitions, so it will behave slightly different
add_kioclient_interface(kioclient5)
add_kioclient_interface(kdecp5)
add_kioclient_interface(kdemv5)

#kioclient is not marked as nongui since download and openProperties do graphical things
ecm_mark_nongui_executable(kdemv5)
ecm_mark_nongui_executable(kdecp5)

if (NOT KIOCORE_ONLY)
add_executable(kde-open5 kioclient.cpp)
target_compile_definitions(kde-open5 PRIVATE "-DKIOCLIENT_AS_KDEOPEN")
target_compile_definitions(kde-open5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kde-open5 Qt5::DBus KF5::CoreAddons KF5::KIOWidgets KF5::I18n)
install(TARGETS kde-open5 ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== kstart/CMakeLists.txt ===
find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                    )

add_executable(kstart5 kstart.cpp)
target_compile_definitions(kstart5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kstart5
    Qt5::Widgets
    Qt5::X11Extras
    KF5::I18n
    KF5::Service
    KF5::WindowSystem
    ${X11_X11_LIB})

install(TARGETS kstart5 ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-cli-tools (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:20 +0100

kde-cli-tools (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:35 +0000

kde-cli-tools (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:10 +0000

kde-cli-tools (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:14 +0000

kde-cli-tools (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:41 +0000

kde-cli-tools (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:21 +0000

kde-cli-tools (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:08 -0600

kde-cli-tools (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New build depends on kf5activities & kf5activitiesstats -dev packages
  * New upstream release (5.10.95)
  * Add additional overlapping manpages to not-installed
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               kinit-dev (>= 5.36.0~),
-               libkf5config-dev (>= 5.36.0~),
-               libkf5doctools-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5iconthemes-dev (>= 5.36.0~),
-               libkf5kcmutils-dev (>= 5.36.0~),
-               libkf5kdelibs4support-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5su-dev (>= 5.36.0~),
-               libkf5windowsystem-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               libkf5activities-dev (>= 5.42.0~),
+               libkf5activitiesstats-dev (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5su-dev (>= 5.42.0~),
+               libkf5windowsystem-dev (>= 5.42.0~),
                libqt5svg5-dev (>= 5.6.1~),
                libqt5x11extras5-dev (>= 5.6.1~),
                pkg-config,

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kde-cli-tools-([\d.]+)\.tar\.xz

## kde-cli-tools 5.12.8

=== kbroadcastnotification/CMakeLists.txt ===
add_executable(kbroadcastnotification main.cpp)
target_compile_definitions(kbroadcastnotification PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kbroadcastnotification Qt5::DBus KF5::CoreAddons KF5::I18n)

install(TARGETS kbroadcastnotification ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kdesu/CMakeLists.txt ===
add_executable(kdesu_executable kdesu.cpp sudlg.cpp)
target_compile_definitions(kdesu_executable PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

# in KDELibsDependencies.cmake installed by kdelibs there is a dependency to "kdesu"
# which is then recognized here as the target name for this executable
# so give the target here a different name and use the OUTPUT_NAME property to 
# give it the name kdesu
set_target_properties(kdesu_executable PROPERTIES OUTPUT_NAME kdesu)

target_link_libraries(kdesu_executable KF5::WidgetsAddons KF5::I18n KF5::ConfigCore KF5::WindowSystem KF5::Su)

install(TARGETS kdesu_executable DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

=== keditfiletype/CMakeLists.txt ===
add_subdirectory(tests)

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_filetypes\")

set(libfiletypes_SRCS
 filetypedetails.cpp
 filegroupdetails.cpp
 kservicelistwidget.cpp
 typeslistitem.cpp
 mimetypedata.cpp
 mimetypewriter.cpp
 newtypedlg.cpp
 kserviceselectdlg.cpp
)

########### next target ###############

set(kcm_filetypes_SRCS filetypesview.cpp ${libfiletypes_SRCS})

add_library(kcm_filetypes MODULE ${kcm_filetypes_SRCS})

target_link_libraries(kcm_filetypes
    KF5::ConfigWidgets
    KF5::IconThemes
    KF5::I18n
    KF5::KIOWidgets # KOpenWithDialog, KBuildSycocaProgressDialog
    Qt5::DBus
)

install(TARGETS kcm_filetypes  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### next target ###############

set(keditfiletype_SRCS keditfiletype.cpp ${libfiletypes_SRCS})

add_executable(keditfiletype5 ${keditfiletype_SRCS})
target_compile_definitions(keditfiletype5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(keditfiletype5
    KF5::ConfigCore
    KF5::IconThemes
    KF5::KIOWidgets # KOpenWithDialog, KBuildSycocaProgressDialog
    KF5::WindowSystem
    KF5::I18n
    Qt5::DBus
)
if (Q_WS_X11)
  target_link_libraries(keditfiletype5 ${X11_X11_LIB})
endif ()

install(TARGETS keditfiletype5 ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES filetypes.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kde-cli-tools (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:50 +0100

kde-cli-tools (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:08 +0100

kde-cli-tools (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:28 +0100

kde-cli-tools (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libqt5x11extras5-dev (>= 5.6.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kde-cli-tools-dbg
+	$(overridden_command) --dbgsym-migration='kde-cli-tools-dbg (<= 4:5.5.5-1~~)'
 
 override_dh_auto_test:
 	# Ignore unit tests at build time

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, dbus (>= 1.8),
         openbox, libkf5service-bin, kinit, kded5, libgl1-mesa-dri,
         shared-mime-info
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr
